*{
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
    font-family: 'Courier New', Courier, monospace;
}
body{
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.inputForm{
    border: solid #333 1px;
    width: 300px;
    height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}
.formRow{
    width: 100%;
    height: 50px;

    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-end;
    align-items: center;
    padding-right: 40px;
}
#buttonWrapper{
    justify-content: center;
    padding: 0px;
    margin-top: 10px;
}
.inputField{
    border: solid #333 1px;
    height: 30px;
    padding: 2px;
    outline: none;
}
.button{
    width: 100px;
    border: solid #333 1px;
    border-radius: 4px;
    margin: 10px;
    padding: 10px;
    background-color: #fff;
    color: #333;
}
.button:hover{
    cursor: pointer;
    background-color: #ccc;
    color: #333;
}
.button:disabled{
    border: solid #333 1px;
    background-color: #333;
    color: #777;
    cursor: default;
}
.outputRow{
    width: 100%;
    margin-top: 30px;
    height:50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.toggle-switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
}

.toggle-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
#sliderContainer{
    padding-right: 70px;
}
.slider {
    position: absolute;
    cursor: pointer;
    background-color: #ccc;
    border-radius: 24px;
    width: 100%;
    height: 100%;
    transition: background-color 0.3s;
}

.slider::before {
    content: "";
    position: absolute;
    height: 20px;
    width: 20px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    border-radius: 50%;
    transition: transform 0.3s;
}

.toggle-switch input:checked+.slider {
    background-color: #4caf50;
}

.toggle-switch input:checked+.slider::before {
    transform: translateX(26px);
}